%define font_dir tv-fonts-1.0
%define zvbi_version 0.2.4

%define debug_package %{nil}

%define __mkfontdir umask 133;/usr/X11R6/bin/mkfontdir

Name: xawtv
Summary: A TV application for video4linux compliant devices.
Version: 3.88
Release: 6
Group: Applications/Multimedia
License: GPL
URL: http://bytesex.org/xawtv/

Source0: http://bytesex.org/xawtv/%{name}_%{version}.tar.gz
Source1: http://bytesex.org/xawtv/tv-fonts-1.0.tar.bz2
Source2: v4l-conf.pam
Source3: http://prdownloads.sourceforge.net/zapping/zvbi-0.2.4.tar.bz2

Patch0: xawtv-3.88-config.patch

BuildPrereq: XFree86-devel
BuildPrereq: ncurses-devel
BuildPrereq: fileutils
BuildPrereq: libjpeg-devel
BuildPrereq: libpng-devel
BuildPrereq: freetype-devel
BuildPrereq: fontconfig-devel

Requires: usermode

BuildRoot: %{_tmppath}/%{name}-root
Excludearch: sparc s390 s390x

%description
Xawtv is a simple xaw-based TV program which uses the bttv driver or
video4linux. Xawtv contains various command-line utilities for
grabbing images and .avi movies, for tuning in to TV stations, etc.
Xawtv also includes a grabber driver for vic.

%package tv-fonts
Group: User Interface/X
Summary: Bitmap fonts for xawtv
License: Freely distributable
Requires: %{name} >= %{version}
PreReq: /usr/X11R6/bin/xset
PreReq: /usr/X11R6/bin/mkfontdir
Prereq: /usr/sbin/chkfontpath

%description tv-fonts
This package includes some bitmaps fonts for xawtv.

%prep
%setup -q -a 1 -a 3
%patch0 -p1 -b .config

%build
export PATH=$PATH:/usr/X11R6/bin
export DISPLAY=""

pushd zvbi-%{zvbi_version}
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
   --enable-static \
   --disable-shared
make %{?smp_mflags}
popd

mkdir build
pushd build
cp ../zvbi-%{zvbi_version}/src/libzvbi.h .
cp ../zvbi-%{zvbi_version}/src/.libs/lib*.a .
CFLAGS="$RPM_OPT_FLAGS" \
../configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
   --mandir=%{_mandir} \
   --disable-motif \
   --enable-zvbi
make
popd

make -C %{font_dir}

%install
rm -rf $RPM_BUILD_ROOT

make -C build DESTDIR=%{buildroot} SUID_ROOT="" install
mkdir -p $RPM_BUILD_ROOT%{_sbindir} \
         $RPM_BUILD_ROOT%{_sysconfdir}/pam.d \
         $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps \
         $RPM_BUILD_ROOT%{_datadir}/fonts/tv-fonts

cp %{font_dir}/*.gz $RPM_BUILD_ROOT%{_datadir}/fonts/tv-fonts

install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/v4l-conf
echo "SESSION=true" > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/v4l-conf
echo "USER=root" >> $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/v4l-conf
echo "PROGRAM=%{_sbindir}/v4l-conf" >> $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/v4l-conf
mv $RPM_BUILD_ROOT%{_bindir}/v4l-conf $RPM_BUILD_ROOT%{_sbindir}/
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/v4l-conf

# remove some manpages
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/motv*

%post
if [ ! -f /etc/sysconfig/xawtv ] ; then
   echo "freqtab=\"us-cable\"" > /etc/sysconfig/xawtv
   echo "tvnorm=\"ntsc\"" >> /etc/sysconfig/xawtv
   source /etc/sysconfig/xawtv >& /dev/null
   scantv -s -n $tvnorm -f $freqtab -o /etc/X11/xawtvrc &> /dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
   rm -f /etc/X11/xawtvrc /etc/sysconfig/xawtv
fi

%post tv-fonts
{
    %__mkfontdir %{_datadir}/fonts/tv-fonts
    /usr/sbin/chkfontpath -q -a %{_datadir}/fonts/tv-fonts:unscaled
} &> /dev/null || :

%postun tv-fonts
{
    if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{_datadir}/fonts/tv-fonts:unscaled
    fi
} &> /dev/null || :

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /usr/X11R6/lib/X11/app-defaults/Xawtv
%config(noreplace) %{_sysconfdir}/pam.d/v4l-conf
%config(noreplace) %{_sysconfdir}/security/console.apps/v4l-conf
%{_bindir}/*
%{_libdir}/xawtv
%{_datadir}/xawtv
%attr(0711,root,root) /usr/sbin/v4l-conf
%{_mandir}/man?/*
%lang(es) %{_mandir}/es/*/*
%lang(fr) %{_mandir}/fr/*/*
%doc COPYING README TODO Changes contrib/frequencies*

%files tv-fonts
%defattr(-,root,root)
%{_datadir}/fonts/tv-fonts

%changelog
* Tue Oct 21 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add BuildReq for fontconfig-devel and freetype-devel, these seem
  to get picked up

* Mon Sep 01 2003 Than Ngo <than@redhat.com> 3.88-5
- Added missing BuildRequires for libpng-devel (bug #103447)

* Tue Jun 17 2003 Than Ngo <than@redhat.com> 3.88-4
- fixed permission problem (bug #90921)

* Tue Jun 17 2003 Than Ngo <than@redhat.com> 3.88-3
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May  6 2003 Than Ngo <than@redhat.com> 3.88-1
- 3.88

* Thu Mar  3 2003 Than Ngo <than@redhat.com> 3.85-1
- 3.85, (#85557, #81588, #74684, #61717)
- own /usr/lib/xawtv, (bug #73981)
- dependency on libjpeg-devel, (bug #48925)
- include alevtd daemon (bug #53878)
- create default configuration by install (bug #73270) 

* Sun Feb 10 2003 Than Ngo <than@redhat.com> 3.81-6
- install correct pam file, #83820

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 3.81-5
- fix #81791

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Than Ngo <than@redhat.com> 3.81-3
- fix #81851

* Mon Dec 16 2002 Than Ngo <than@redhat.com> 3.81-2
- rebuild

* Fri Dec 13 2002 Than Ngo <than@redhat.com> 3.81-1
- update 3.81
- move bitmap fonts to bitmap-fonts package

* Tue Nov 12 2002 Nalin Dahyabhai <nalin@redhat.com> 3.78-2
- adjust PAM configuration to not use absolute paths so that the right module
  set gets used for the current arch on multilib systems

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.78-1
- 3.78

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Than Ngo <than@redhat.com> 3.74-3
- Don't forcibly strip binaries

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Harald Hoyer <harald@redhat.de>
- 3.74

* Sun Apr 07 2002 han Ngo <than@redhat.com> 3.73-3
- remove motv manpage (#62771)

* Tue Apr  2 2002 Than Ngo <than@redhat.com> 3.73-2
- get rid of openmotif

* Sun Mar 24 2002 Than Ngo <than@redhat.com> 3.73-1
- update
- fix bug #61719

* Fri Mar 22 2002 Tim Powers <timp@redhat.com>
- rebuilt motv against new openmotif-2.2.2

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 3.72-1
- update to 3.72

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.71-1
- 3.71

* Fri Jan 18 2002 Than Ngo <than@redhat.com> 3.68-1
- update to 3.68
- enable XFree extensions
- fix Url
- add missing plugins

* Wed Dec  5 2001 Than Ngo <than@redhat.com> 3.65-1
- update to 3.65
- fix build on ia64

* Wed Nov 14 2001 Than Ngo <than@redhat.com> 3.64-1
- update to 3.64

* Mon Sep 17 2001 Than Ngo <than@redhat.com> 3.62-1
- update to 3.62 (bug #53711 #52847)

* Tue Aug 28 2001 Than Ngo <than@redhat.com> 3.54-5
- fix spec file bug (Bug #52675)

* Fri Aug 10 2001 Than Ngo <than@redhat.com> 3.54-4
- add requires usermode (bug #51474)

* Sun Aug  5 2001 Nalin Dahyabhai <nalin@redhat.com> 3.54-3
- tweak PAM setup so that v4l-conf can access the display properly

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com> 3.54-2
- Rebuild to remove libXv/libXxf86dga deps

* Mon Jul 02 2001 Than Ngo <than@redhat.com>
- update to 3.54

* Fri Jun 22 2001 Than Ngo <than@redhat.com>
- update to 3.53
- add buildprereq
- remove some uneeeded patches

* Tue Jun 19 2001 Karsten Hopp <karsten@redhat.de>
- excludearch s390 s390x

* Wed Jun 13 2001 Than Ngo <than@redhat.com>
- update to 3.51

* Thu Jun 07 2001 Than Ngo <than@redhat.com>
- update to 3.50

* Thu May 31 2001 Than Ngo <than@redhat.com>
- udate to 3.49

* Tue May 22 2001 Than Ngo <than@redhat.com>
- update to 3.48

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- built for the distro

* Wed May 18 2001 Karsten Hopp <karsten@redhat.de>
- make xawtv work with kernel-2.4

* Wed May 16 2001 Than Ngo <than@redhat.com>
- update to 3.47

* Mon May 07 2001 Than Ngo <than@redhat.com>
- update to 3.45
- add missing fonts

* Tue Feb 13 2001 Than Ngo <than@redhat.com>
- update to 3.34
- use consolehelper for v4l-conf
- add excludearch sparc, bdftopcf is broken on sparc

* Wed Jan 24 2001 Than Ngo <than@redhat.com>
- updated to 3.30
- use /dev/video0 instead /dev/video (bug #24871)
- fixed dependencies (Bug #24881)
 
* Sun Nov 19 2000 Than Ngo <than@redhat.com>
- update to 3.24
- add missing tools (rootv,scantv)
- add missing prereq on xset and mkfontdir

* Fri Nov 3 2000 Than Ngo <than@redhat.com>
- update to 3.23

* Wed Aug 23 2000 Tim Powers <timp@redhat.com>
- rebuilt against new XFree86 to fix DGA problems

* Mon Aug 21 2000 Than Ngo <than@redhat.com>
- update to 3.18 (Bugfix release)
- option -nodga to disable DGA (Bug #16577, #15702)
- compress fonts with gzip

* Mon Aug 07 2000 Tim Powers <timp@redhat.com>
- fixed bug #15435

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- rebuilt against the new DGA
- fixed in post and postun, so that it does not
  emits to console (Bug #15436)


* Sat Jul 29 2000 Than Ngo <than@redhat.de>
- update to 3.17

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- FHS fixes

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun May 28 2000 Ngo Than <than@redhat.de>
- update to 3.14 for 7.0
- put man page in correct place
- add webcam
- bzip2 source
- cleanup specfile

* Wed Jan 19 2000 Preston Brown <pbrown@redhat.com>
- font fix (#8610) in post and postun
- add missing files in bin

* Sun Jan 16 2000 Preston Brown <pbrown@redhat.com>
- whoops! 3.07 already bugfix release

* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- updated to 3.06

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated to 2.46
- built for 6.1

* Wed Apr 28 1999 Preston Brown <pbrown@redhat.com>
- initial build for Powertools 6.0
